
QGIS Application - Bug report #21156

Trying to add map themes crashes QGIS

2019-02-03 02:40 PM - Antonio Locandro

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:3.4.4 Regression?: No

Operating System: Win10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 28974

Description

User Feedback

Crashed while trying to add map themes, map theme when created was applied to all layers and if removed also removed from all layers.

So it wont allow to create more than one theme, when I finally was able to have more than one map theme and tried to remove the

previous map theme from some layers it crashed.

Report Details

Crash ID: 62f1fcd2045780cb9f127836e6b579b8665f3e63

Stack Trace

proj_lpz_dist :

proj_lpz_dist :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::QgsCoordinateTransform :

QHashData::free_helper :

QgsCoordinateTransform::addToCache :

QgsCoordinateTransform::invalidateCache :

QgsApplication::exitQgis :

QgisApp::~QgisApp :

CPLStringList::operator[] :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.4-Madeira

QGIS code revision: commit:73c31df831

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicates QGIS Application - Bug report # 20283: Crash when exiting program ... Reopened 2018-10-30

History

#1 - 2019-02-03 04:19 PM - Jürgen Fischer
- Duplicates Bug report #20283: Crash when exiting program [proj_lpz_dist] added

#2 - 2019-02-03 04:19 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed
